export interface Achievement {
  id: string;
  name: string;
  description: string;
  dateUnlocked: Date;
}

export interface User {
  id: string;
  username: string;
  level: number;
  experience: number;
  balance: number;
  achievements: Achievement[];
  inventory: InventoryItem[];
}

export interface InventoryItem {
  id: string;
  name: string;
  description: string;
  quantity: number;
  imageUrl?: string;
} 